#!/bin/bash

# Company:       PowerCraft Technology
# Author:        Copyright Jelle de Jong <jelledejong@powercraft.nl>
# Note:          Please send me an email if you enhanced the script
# Version:       0.0.1
# Date:          2008-11-18

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more de/usr/bin/tails.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

if [ ! -e /usr/bin/irssi ]
then
    sudo apt-get install irssi
fi

ipaddress=$(/sbin/ifconfig | /bin/grep 'inet addr:' | /usr/bin/cut -d: -f2 | /usr/bin/awk '{ print $1}')
nickname="support"
nickname+=$(date +%d%H%M%S)
irssifile=$(mktemp -p /tmp/ irssifile.XXXXXXXXXX)
textfile=$(mktemp -p /tmp/ textfile.XXXXXXXXXX)
user="$USER"

trap "rm -f $irssifile $textfile" 0 1 2 3 15

echo "Hello Jelle, I would like to request support for my computer system my is: $ipaddress" | tee $textfile

echo "servers = (
    {
        address = \"chat.freenode.net\";
        chatnet = \"freenode\";
        port = \"6667\";
        autoconnect = \"yes\";
    }
);

chatnets = {
    freenode =
    {
        type = \"IRC\";
        max_kicks = \"4\";
        max_modes = \"4\";
        max_msgs = \"1\";
        max_whois = \"1\";
        autosendcmd = \"/msg tuxcrafter Hello, I would like to request support for my computer, my ipaddress is: $user@$ipaddress;/window next\";
    };
};" | tee $irssifile

cat $irssifile

/usr/bin/irssi --config=$irssifile --nick=$nickname

exit
