#!/bin/bash

# Company:       PowerCraft Technology
# Author:        Copyright Jelle de Jong <jelledejong@powercraft.nl>
# Note:          Please send me an email if you enhanced the script
# Version:       0.0.1
# Date:          2008-11-18

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more de/usr/bin/tails.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

USER="support01"
SERVER="powercraft.nl"

echo "Dear user, you are now requesting a remote support ticket at PowerCraft Technology. \
This programm will contact the powercraft.nl server to login it will ask you for a password. \
Please call us at +31 10 707 9913 and ask for Jelle de Jong he will help you with your problems. \
Instead of a calling, it is also possible to contact us by internet chat please open the chat \
support program to start a chat session."

if [ ! -e /usr/bin/screen ] || [ ! -e /usr/bin/ssh ] ||  [ ! -e /usr/sbin/sshd ]
then
    sudo apt-get install openssh-client openssh-server screen
fi

running=$(pidof sshd)
if [ -z "$running" ]
then
    sudo /etc/init.d/ssh start
fi

xterm -e screen -m -S ssh-tunnel ssh -f -N -R 9999:127.0.0.1:22 $USER@$SERVER

unset active
maximum=600
count=0
while [ -z "$active" ] && [ "$count" -lt "$maximum" ]
do
    count=$(($count+1))
    active=$(ps aux | grep support | grep SCREEN)
    sleep 1
    if [ -z "$active" ]
    then
        /bin/sleep 1 && /bin/echo -ne "...scanning for support session: $count/$maximum \r"
    fi
done

[ -n "$active" ] && xterm -e /usr/bin/screen -x support

exit
